ck_pr_bts(3)

NAME
ck_pr_bts_ptr, ck_pr_bts_uint, ck_pr_bts_int, ck_pr_bts_64, ck_pr_bts_32, ck_pr_bts_16 - atomic bit test-and-set operations

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_pr.h>
bool
ck_pr_bts_ptr(void *target, unsigned int bit_index);
bool
ck_pr_bts_uint(uint *target, unsigned int bit_index);
bool
ck_pr_bts_int(int *target, unsigned int bit_index);
bool
ck_pr_bts_64(uint64_t *target, unsigned int bit_index);
bool
ck_pr_bts_32(uint32_t *target, unsigned int bit_index);
bool
ck_pr_bts_16(uint16_t *target, unsigned int bit_index);

DESCRIPTION
The ck_pr_bts(3) family of functions atomically fetch the value of the bit in target at index bit_index and set that bit to 1.

RETURN VALUES
This family of functions returns the original value of the bit at offset bit_index that is in the value pointed to by target.

SEE ALSO
ck_pr_fence_load(3), ck_pr_fence_load_depends(3), ck_pr_fence_store(3), ck_pr_fence_memory(3), ck_pr_load(3), ck_pr_store(3), ck_pr_fas(3), ck_pr_faa(3), ck_pr_inc(3), ck_pr_dec(3), ck_pr_neg(3), ck_pr_not(3), ck_pr_sub(3), ck_pr_and(3), ck_pr_or(3), ck_pr_xor(3), ck_pr_add(3), ck_pr_btc(3), ck_pr_btr(3), ck_pr_cas(3)

Additional information available at http://concurrencykit.org/